/* @BD_tarjetas_insertData.sql */
SET ECHO ON

/* eliminar los datos existentes en las tablas
*/
-- @BD_tarjetas_deleteData.sql

/* aadir los datos de prueba a las tablas
*/

INSERT INTO tpServ VALUES ('MUSEO');
INSERT INTO tpServ VALUES ('AUTOBUS');
INSERT INTO tpServ VALUES ('TRANVIA');
INSERT INTO tpServ VALUES ('RECARGA');

INSERT INTO BANCO  VALUES ('2085', 'Ibercaja', 'www.ibercaja.es');
INSERT INTO BANCO  VALUES ('2086', 'CAI', 'www.cai.es');
INSERT INTO BANCO  VALUES ('0049', 'Santander', 'www.bancosantander.es');

INSERT INTO CUENTA VALUES ('ES0557632', '2085');
INSERT INTO CUENTA VALUES ('ES0597642', '2086');
INSERT INTO CUENTA VALUES ('ES3295271', '2086');
INSERT INTO CUENTA VALUES ('ES0193281', '0049');

INSERT INTO CONTRATO VALUES (101, 'P',0.00,'');
INSERT INTO CONTRATO VALUES (102, 'C','','ES0557632');
INSERT INTO CONTRATO VALUES (103, 'P',0.00,'');
INSERT INTO CONTRATO VALUES (104, 'P',0.00,'');
INSERT INTO CONTRATO VALUES (105, 'P',0.00,'');
INSERT INTO CONTRATO VALUES (106, 'C','','ES0193281');

INSERT INTO TITULAR VALUES (17458671, 'Prez, ngel', TO_DATE('25/08/1954', 'dd/mm/yyyy'));
INSERT INTO TITULAR VALUES (18654231, 'Ruiz, Santiago', TO_DATE('14/03/1987', 'dd/mm/yyyy'));
INSERT INTO TITULAR VALUES (19654368, 'Lpez, Luis', TO_DATE('18/06/1999', 'dd/mm/yyyy'));
INSERT INTO TITULAR VALUES (18421389, 'Ramn, Sara', TO_DATE('23/11/1990', 'dd/mm/yyyy'));
INSERT INTO TITULAR VALUES (23421387, 'Rivas, Mara', TO_DATE('14/02/2000', 'dd/mm/yyyy'));
INSERT INTO TITULAR VALUES (22657943, 'Garca, Juan', TO_DATE('25/07/2003', 'dd/mm/yyyy'));
INSERT INTO TITULAR VALUES (23459278, 'Garca, Juan', TO_DATE('23/04/1979', 'dd/mm/yyyy'));
INSERT INTO TITULAR VALUES (25456873, 'Garca, Andrs', TO_DATE('07/12/2004', 'dd/mm/yyyy'));
INSERT INTO TITULAR VALUES (19563478, 'Snchez, Mara', TO_DATE('12/10/1981', 'dd/mm/yyyy'));
INSERT INTO TITULAR VALUES (21356987, 'Ruiz, Elena', TO_DATE('26/08/2004', 'dd/mm/yyyy'));

INSERT INTO TARJETA(idContrato, numTarj, PIN, DNI_titular) VALUES (101, 1, 1234, 17458671);
INSERT INTO TARJETA(idContrato, numTarj, PIN, DNI_titular) VALUES (103, 1, 1234, 18654231);
INSERT INTO TARJETA(idContrato, numTarj, PIN, DNI_titular) VALUES (103, 2, 1234, 21356987);
INSERT INTO TARJETA(idContrato, numTarj, PIN, DNI_titular) VALUES (102, 1, 1234, 18421389);
INSERT INTO TARJETA(idContrato, numTarj, PIN, DNI_titular) VALUES (104, 1, 1234, 19563478);
INSERT INTO TARJETA(idContrato, numTarj, PIN, DNI_titular) VALUES (105, 1, 1234, 23459278);
INSERT INTO TARJETA(idContrato, numTarj, PIN, DNI_titular) VALUES (105, 2, 1234, 25456873);
INSERT INTO TARJETA(idContrato, numTarj, PIN, DNI_titular) VALUES (105, 3, 1234, 22657943);
INSERT INTO TARJETA(idContrato, numTarj, PIN, DNI_titular) VALUES (103, 3, 1234, 19654368);
INSERT INTO TARJETA(idContrato, numTarj, PIN, DNI_titular) VALUES (106, 1, 1234, 23421387);

INSERT INTO SERVICIO VALUES (501, 'MUSEO', 'BELLAS ARTES');
INSERT INTO SERVICIO VALUES (502, 'MUSEO', 'BELLAS ARTES');
INSERT INTO SERVICIO VALUES (503, 'MUSEO', 'BELLAS ARTES');
INSERT INTO SERVICIO VALUES (504, 'MUSEO', 'PALEONTOLGICO');
INSERT INTO SERVICIO VALUES (505, 'MUSEO', 'HISTORIA');
INSERT INTO SERVICIO VALUES (506, 'MUSEO', 'TAPICES');
INSERT INTO SERVICIO VALUES (600, 'AUTOBUS', 'linea 23');
INSERT INTO SERVICIO VALUES (601, 'AUTOBUS', 'linea 42');
INSERT INTO SERVICIO VALUES (602, 'AUTOBUS', 'linea 43');
INSERT INTO SERVICIO VALUES (603, 'AUTOBUS', 'linea 44');
INSERT INTO SERVICIO VALUES (650, 'TRANVIA', 'L1');
INSERT INTO SERVICIO VALUES (651, 'TRANVIA', 'L2');
INSERT INTO SERVICIO VALUES (999, 'RECARGA', '');

INSERT INTO MUSEO VALUES (501, 'CAMN AZNAR', 'Calle de Espoz y Mina, 23', 976397387);
INSERT INTO MUSEO VALUES (502, 'PABLO GARGALLO', 'Plaza San Felipe, 3', 976724922);
INSERT INTO MUSEO VALUES (503, 'PABLO SERRANO', 'Paseo Mara Agustn, 20', 976280659);
INSERT INTO MUSEO VALUES (504, 'PALEONTOLGICO', 'Pedro Cerbuna 12 (fac. Ciencias)', 976762122);
INSERT INTO MUSEO VALUES (505, 'ZARAGOZA', 'Plaza de los Sitios, 6', 976222181);
INSERT INTO MUSEO VALUES (506, 'TAPICES DE LA SEO', 'Plaza de la Seo, s/n.', 976291231);


INSERT INTO ACCESOS VALUES (1011, TO_DATE('20/06/2014 9:05', 'dd/mm/yyyy HH24:MI'), 999, 10.00);
INSERT INTO ACCESOS VALUES (1011, TO_DATE('20/06/2014 9:20', 'dd/mm/yyyy HH24:MI'), 600, -0.75);
INSERT INTO ACCESOS VALUES (1011, TO_DATE('20/06/2014 9:30', 'dd/mm/yyyy HH24:MI'), 650, 0.00);
INSERT INTO ACCESOS VALUES (1051, TO_DATE('20/06/2014 12:20', 'dd/mm/yyyy HH24:MI'), 999, 30.00);
INSERT INTO ACCESOS VALUES (1052, TO_DATE('20/06/2014 13:15', 'dd/mm/yyyy HH24:MI'), 600, -0.75);
INSERT INTO ACCESOS VALUES (1052, TO_DATE('20/06/2014 13:20', 'dd/mm/yyyy HH24:MI'), 650, 0.00);
INSERT INTO ACCESOS VALUES (1053, TO_DATE('20/06/2014 16:16', 'dd/mm/yyyy HH24:MI'), 600, -0.75);
INSERT INTO ACCESOS VALUES (1053, TO_DATE('20/06/2014 16:40', 'dd/mm/yyyy HH24:MI'), 650, -0.75);
INSERT INTO ACCESOS VALUES (1031, TO_DATE('21/06/2014 11:50', 'dd/mm/yyyy HH24:MI'), 999, 20.00);
INSERT INTO ACCESOS VALUES (1031, TO_DATE('21/06/2014 13:10', 'dd/mm/yyyy HH24:MI'), 600, -0.75);

COMMIT;

/* mostrar los datos de las tablas y vista
*/
@BD_tarjetas_showData.sql
